Name:           fonts-compare
Version:        1.4.0
Release:    1%{?dist}
Summary:        Tool to compare fonts for a language

License:        GPL-2.0-or-later
URL:            https://github.com/sudipshil9862/fonts-compare
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/fonts-compare-%{version}.tar.gz

BuildArch: noarch

BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  freetype-devel 
Requires: python3-gobject
Requires: python3-langtable
Requires: python3-langdetect
Requires: fontconfig
Requires: hicolor-icon-theme
Requires: gtk4
Requires: python3-freetype

%description
Fonts-Compare is a tool that enables individuals
to compare various fonts in a particular language.



%prep
%autosetup


%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
install -D -m 755 fonts-compare %{buildroot}%{_bindir}/%{name}
install -D -m 755 fonts_compare.py %{buildroot}%{_datadir}/%{name}/
install -m 644 -D org.github.sudipshil9862.fonts-compare.desktop %{buildroot}/%{_datadir}/applications/org.github.sudipshil9862.%{name}.desktop
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/
install -D -m 644 logo/16x16/fonts-compare.png %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/
install -D -m 644 logo/22x22/fonts-compare.png %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/
install -D -m 644 logo/32x32/fonts-compare.png %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
install -D -m 644 logo/48x48/fonts-compare.png %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/64x64/apps/
install -D -m 644 logo/64x64/fonts-compare.png %{buildroot}/%{_datadir}/icons/hicolor/64x64/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps/
install -D -m 644 logo/128x128/fonts-compare.png %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps/
install -D -m 644 logo/256x256/fonts-compare.png %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps/
mkdir -p %{buildroot}/usr/share/icons/hicolor/scalable/apps/
install -D -m 644 logo/fonts-compare.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.github.sudipshil9862.%{name}.desktop

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.github.sudipshil9862.%{name}.desktop
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/16x16/
%dir %{_datadir}/icons/hicolor/22x22/
%dir %{_datadir}/icons/hicolor/32x32/
%dir %{_datadir}/icons/hicolor/48x48/
%dir %{_datadir}/icons/hicolor/64x64/
%dir %{_datadir}/icons/hicolor/128x128/
%dir %{_datadir}/icons/hicolor/256x256/
%dir %{_datadir}/icons/hicolor/scalable/
%dir %{_datadir}/icons/hicolor/scalable/apps/
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-1
- initial build
